=== debian/control ===
Source: phpqladmin
Section: web
Priority: optional
Maintainer: Turbo Fredriksson <turbo@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), po-debconf
Standards-Version: 3.5.10

Package: phpqladmin
Architecture: all
Depends: php4 | php4-cgi, php4-ldap | php4-ldap-cgi, php4-mhash | php4-mhash-cgi, php4-gd | php4-gd2, apache | httpd, wwwconfig-common (>= 0.0.7), debconf
Description: LDAP user administration interface
 Designed primarily for administration of a QmailLDAP user database,
 but also have EZMLM and QmailLDAP/Controls managers.
