=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

INSTDIR=debian/phpqladmin/usr/share/phpqladmin
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/phpqladmin.
	@(echo -n "Instdir: $(INSTDIR): "; \
	  find | cpio -p $(INSTDIR); \
	  rm -Rf $(INSTDIR)/Makefile $(INSTDIR)/.version* \
		$(INSTDIR)/README.* $(INSTDIR)/manual \
		$(INSTDIR)/include/config.inc \
		$(INSTDIR)/phpQLadmin.log \
		$(INSTDIR)/validateEmailFormat-1.0; \
	  cp debian/apache.conf debian/phpqladmin/etc/phpqladmin; \
	  mv $(INSTDIR)/include/config.inc.CHANGE_ME debian/phpqladmin/etc/phpqladmin/config.inc; \
	  mv $(INSTDIR)/include/config_attributes.inc $(INSTDIR)/include/config_plugins.inc \
		$(INSTDIR)/include/defaults.inc debian/phpqladmin/etc/phpqladmin/; \
	  cd $(INSTDIR) && \
		find -type d -name CVS -o -name '.cvsignore' \
			-o -name '*~' -o -name '.#*' \
		| xargs rm -rf;\
	  rm -Rf debian; \
	  echo $(version)"-"$(revision)" (Debian GNU/Linux)" > .version; \
	  cd include; \
	  ln -s /etc/phpqladmin/config.inc config.inc; \
	  ln -s /etc/phpqladmin/config_attributes.inc config_attributes.inc; \
	  ln -s /etc/phpqladmin/config_plugins.inc config_plugins.inc; \
	  ln -s /etc/phpqladmin/defaults.inc defaults.inc; \
	)
	chmod -x debian/phpqladmin/etc/phpqladmin/*

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i

	dh_installdocs -i
	dh_installexamples -i
	dh_installcron -i
	dh_installchangelogs CHANGES
	dh_installdebconf -i

	dh_compress -i
	dh_fixperms -i

	(cd $(INSTDIR) && \
	  rm *-stamp *.schema; \
	  find -type f | xargs chmod 644)

	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i

	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
