## phpqladmin 2.0.19-1

=== debian/changelog ===
phpqladmin (2.0.19-1) unstable; urgency=low

  * New upstream version. Lots of small bugfixes (mainly de-globalization).

 -- Turbo Fredriksson <turbo@debian.org>  Sun, 14 Nov 2004 17:33:18 +0100

phpqladmin (2.0.18f-1) unstable; urgency=low

  * New upstream version.

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 14 Oct 2004 13:06:51 +0200

phpqladmin (2.0.18d-1) unstable; urgency=low

  * De-globalize the 'reload left frame' value so that the reloading can
    acctually happen!
  * Don't show the minus image before 'no domains' (left-ezmlm.php) if there's
    no mailing lists to display
  * De-globalize ezmlm pages.
    If the 'maximum mailinglist count' is unset, then we're comparing
    'count > NULL' which will always be true. To go around this, use 'count + 1'
    as maximum value (will make the form continue).
  * Don't execute ezmlm commands if debug variable is true OR the file .DEBUG_ME
    exists.
  * Don't allow setting subscriber/rejected addresses when creating a ezmlm
    mailinglist. That part of the code is badly broken (fixing this in DEVEL instead).
  * Allow for reloading of the left frame when new list is create AND 'auto
    reload' is set to true/yes.
    + Do not reload the left frame just because a list have CHANGED!
  * Don't allow deletion of list from the domain lists list. Only from the list details.
  * When deleting a branch, only update the QLC objects (i.e. call pql_control_update_domains())
    if 'Use Controls DB' is set to TRUE. The function isn't availible if
    'Use Controls DB' is set to FALSE...
  * Don't execute ezmlm commands if debug variable is true OR the file .DEBUG_ME
    exists.
  * New option to list_forward() - the list number. This so that when modifying
    a specific list, we're forwarded to this list's details (and not the domain
    list list :).
  * Failure to auto generate {mail,home}Directory doesn't warrant a reload of
    the user data page. We should get to the next page, which will give the user
    a chance to input a correct value.
    Closes bug 186
  * Make sure that the 'tarball' target (used when releasing) removes any '.DEBUG_ME'
    file. That file should not be included. It's up to the user(s) to create...
  * PHP parse error in include/attrib.aci.inc fixed.
  * Use the URL encoded value of domain, rootdn and user in the hidden HTML values.
    This so that it (the value) will survive a form POST.

 -- Turbo Fredriksson <turbo@papadoc.bayour.com>  Tue, 25 May 2004 15:55:58 +0200
