## phpqladmin 2.2.6-1

=== debian/changelog ===
phpqladmin (2.2.6-1) unstable; urgency=low

  * New upstream version

 -- Turbo Fredriksson <turbo@debian.org>  Mon, 22 Aug 2005 08:35:41 +0200

phpqladmin (2.2.5-1) unstable; urgency=low

  * New upstream version

 -- Turbo Fredriksson <turbo@debian.org>  Sat, 14 May 2005 20:05:33 +0200
