=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	@(echo -n "Instdir: $(INSTDIR): "; \
 	  find | cpio -p $(INSTDIR); \
 	  rm -Rf $(INSTDIR)/Makefile $(INSTDIR)/.version* \
-		$(INSTDIR)/README.* $(INSTDIR)/manual \
+		$(INSTDIR)/doc/README.* $(INSTDIR)/manual \
 		$(INSTDIR)/include/config.inc \
 		$(INSTDIR)/phpQLadmin.log \
 		$(INSTDIR)/validateEmailFormat-1.0; \
@@ -76,14 +76,23 @@
 	dh_fixperms -i
 
 	(cd $(INSTDIR) && \
-	  rm *-stamp *.schema; \
-	  find -type f | xargs chmod 644)
+	  rm -f *-stamp *.schema .DEBUG_ME .cvsignore .version.old; \
+	  find -type f | xargs chmod 644; \
+	  chmod 755 scripts/*.pl scripts/*.sh)
 
 	dh_installdeb -i
 	dh_shlibdeps -i
 	dh_gencontrol -i
 
 	dh_md5sums -i
+
+	# Fix the templates for woody
+	(ver=`cat /etc/debian_version`; \
+	 if [ "$$ver" = "3.0" ]; then \
+	   cat debian/phpqladmin/DEBIAN/templates | sed 's@^_@@' > debian/phpqladmin/DEBIAN/templates.new; \
+	   mv debian/phpqladmin/DEBIAN/templates.new debian/phpqladmin/DEBIAN/templates; \
+	 fi)
+
 	dh_builddeb -i
 
 binary-arch: build install
