## phpqladmin 2.2.8-2

=== Makefile ===
--- 
+++ 
@@ -32,27 +32,37 @@
 	  TAG="REL_`echo $$MAJOR`_`echo $$MINOR`_`echo $$LEVEL`"; \
 	  echo -n $(TAG) > .tag; \
 	  echo cvs tag: $$TAG; \
-	  cvs commit -m "New release - $$MAJOR.$$MINOR.$$LEVEL." \
-		.version .version.old CHANGES; \
 	  cvs tag -RF $$TAG; \
 	)
 
 install: $(INSTDIR)
 	@(echo -n "Instdir:   $(INSTDIR): "; find | cpio -p $(INSTDIR))
 
-tarball: install
-	@(rm -Rf $(INSTDIR)/Makefile $(INSTDIR)/.version.old \
+excludelist:
+	@(cd $(TMPDIR); \
+	  find -type d -name CVS -exec find {} \; \
+	    | sed 's@\./@@'  > exclude.list; \
+	  find -type f -name '.cvsignore' -o -name 'README.cvs' \
+	    -o -name '*.new' -o -name '*.orig' -o -name '*~' \
+	    -o -name '.#*' | sed 's@\./@@' >> exclude.list; \
+	  cat exclude.list | sort | uniq > new; \
+	  echo	$(INSTDIR)/Makefile $(INSTDIR)/.version.old \
 		$(INSTDIR)/manual $(INSTDIR)/include/config.inc \
-		$(INSTDIR)/phpQLadmin.log $(INSTDIR)/README.Monitor \
-		$(INSTDIR)/.DEBUG_ME; \
-	  cd $(INSTDIR) && find -type d -name CVS -o -name '.cvsignore' -o -name '*~' | \
-		xargs rm -rf; \
-	  echo -n "Tarball 1: $(TMPDIR)/phpQLAdmin-$(VERSION).tar.gz: "; \
+		$(INSTDIR)/phpQLadmin.log $(INSTDIR)/doc/README.Monitor \
+		$(INSTDIR)/.DEBUG_ME >> new; \
+	  mv new exclude.list; \
+	  cat exclude.list | xargs rm -rf)
+
+tarball: install excludelist
+	@(echo -n "Tarball 1: $(TMPDIR)/phpQLAdmin-$(VERSION).tar.gz: "; \
 	  cd $(TMPDIR) && tar -cz --exclude=README.cvs -f phpQLAdmin-$(VERSION).tar.gz phpQLAdmin-$(VERSION); \
 	  echo "done."; \
 	  echo -n "Tarball 2: $(TMPDIR)/phpQLAdmin-$(VERSION).tar.bz2: "; \
 	  cd $(TMPDIR) && tar -cj --exclude=README.cvs --exclude=debian \
 		-f phpQLAdmin-$(VERSION).tar.bz2 phpQLAdmin-$(VERSION); \
+	  echo "done."; \
+	  echo -n "ZIP file:  $(TMPDIR)/phpQLAdmin-$(VERSION).zip: "; \
+	  cd $(TMPDIR) && zip -r phpQLAdmin-$(VERSION).zip phpQLAdmin-$(VERSION) > /dev/null; \
 	  echo "done.")
 
 debian: install
@@ -62,22 +72,27 @@
 	  echo "Files is in: "$(DESTDIR))
 
 release: changes tag tarball debian
-	@(mv -v $(TMPDIR)/phpQLAdmin-$(VERSION).tar.gz /var/www/phpqladmin/; \
-	  mv -v $(TMPDIR)/phpQLAdmin-$(VERSION).tar.bz2 /var/www/phpqladmin/; \
-	  cat /var/www/phpqladmin/index.html.in | \
-		sed -e "s@%VERSION%@$(VERSION)@g" -e "s@%CVSTAG%@`cat .tag`@g" \
-		> /var/www/phpqladmin/index.html.out; \
-	  mv /var/www/phpqladmin/index.html.out /var/www/phpqladmin/index.html; \
-	  cp -v CHANGES /var/www/phpqladmin/CHANGES.txt; \
-	  cp -v $(DESTDIR)/../*.deb /var/www/phpqladmin; \
-	  rm .tag)
+	@(rcp -x $(TMPDIR)/phpQLAdmin-$(VERSION).tar.gz  aurora:/var/www/phpqladmin/; \
+	  rcp -x $(TMPDIR)/phpQLAdmin-$(VERSION).tar.bz2 aurora:/var/www/phpqladmin/; \
+	  rcp -x $(TMPDIR)/phpQLAdmin-$(VERSION).zip     aurora:/var/www/phpqladmin/; \
+	  rcp -x CHANGES aurora:/var/www/phpqladmin/CHANGES_devel.txt; \
+	  rcp -x $(TMPDIR)/*.deb *.dsc *.tar.gz *.changes aurora:/var/www/phpqladmin)
 
 $(INSTDIR):
 	@rm -f $(TMPDIR) && mkdir -p $(INSTDIR)
 
-changes:
+changes: version
 	@( \
 	  echo "Date: $(DATE)"; \
 	  cat CHANGES | sed "s@TO BE ANNOUNCED@Release \($(DATE)\)@" > CHANGES.new; \
 	  mv CHANGES.new CHANGES; \
+	  cvs commit -m "New release - `cat .version | sed 's@ .*@@'`" CHANGES .version; \
 	)
+
+version:
+	@(cat .version | sed 's@ (.*@@' > .version.new; \
+	  mv .version.new .version)
+
+clean:
+	@(find -name '*~' -o -name '.*~' -o -name '.#*' -o -name '#*' | \
+	  xargs --no-run-if-empty rm)
