## phpqladmin 2.2.8-2ubuntu1

=== debian/changelog ===
phpqladmin (2.2.8-2ubuntu1) feisty; urgency=low

  * Depends on PHP 5 packages (LP: 93934)
  * Update maintainer field in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 12 Apr 2007 23:00:17 +0200
