=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,8 @@
 	  ln -s /etc/phpqladmin/config_attributes.inc config_attributes.inc; \
 	  ln -s /etc/phpqladmin/config_plugins.inc config_plugins.inc; \
 	  ln -s /etc/phpqladmin/defaults.inc defaults.inc; \
+	  cd $(INSTDIR)/../../../var/www; \
+	  ln -s /usr/share/phpqladmin .; \
 	)
 	chmod -x debian/phpqladmin/etc/phpqladmin/*
