## phpqladmin 2.2.8-2.1ubuntu1

=== debian/changelog ===
phpqladmin (2.2.8-2.1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - Depends on PHP 5 packages
    - Update maintainer field in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue,  1 May 2007 14:09:59 +0200

phpqladmin (2.2.8-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Debconf translations:
    - German. Closes: #404902, #410566
    - Galician. Closes: #413347
    - All PO files, except Japanese, converted to UTF-8

 -- Christian Perrier <bubulle@debian.org>  Wed,  7 Mar 2007 08:35:31 +0100
