=== debian/control ===
Source: phpqladmin
Section: web
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Turbo Fredriksson <turbo@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.2), po-debconf
Standards-Version: 3.5.10

Package: phpqladmin
Architecture: all
Depends: php5 | php5-cgi, php5-ldap, php5-mhash, php5-gd, apache | apache-ssl | apache2 | httpd, wwwconfig-common (>= 0.0.7), debconf | debconf-2.0
Recommends: php5-idn
Description: LDAP user administration interface
 Designed primarily for administration of a QmailLDAP user database,
 but also have EZMLM and QmailLDAP/Controls managers.
